﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Monorail.Generics
{
    internal class MonorailCollectionInfo : IEquatable<MonorailCollectionInfo>
    {
        public string Name { get; private set; }
        public string Description { get; private set; }
        public MonorailCollectionInfo(string name, string description)
        {
            Name = name;
            Description = description;
        }
        public bool Equals(MonorailCollectionInfo? other)
        {
            return Name == other.Name;
        }

        public override int GetHashCode()
        {
            return this.Name.GetHashCode();
        }
    }
}
